=== debian/changelog ===
kmetronome (0.10.0-3) unstable; urgency=low

  * Apply kubuntu_01_docbook_fix.diff on Debian too (Closes: #628315).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 29 May 2011 10:19:36 +0200

kmetronome (0.10.0-2) unstable; urgency=medium

  * Strip RPATH from the binary 'kmetronome'. Bump severity to medium.
  * Incorporate Kubuntu-specific patch, it gets applied on *buntu only.
  * debian/control:
    - DH's overrides need versioned build-dependency >= 7.0.50~
    - Sort build-dependencies.
  * Add .gitignore file to skip .pc directory.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Apr 2011 23:38:16 +0200

kmetronome (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #595497)

 -- Arnout Engelen <arnouten@bzzt.net>  Sat, 04 Sep 2010 17:14:13 +0200
