## kmetronome 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2010 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@
 
 SET (VERSION_MAJOR "0")
 SET (VERSION_MINOR "10")
-SET (VERSION_PATCH "0")
+SET (VERSION_PATCH "1")
 SET (VERSION_SUFFIX "")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 ADD_DEFINITIONS(-D'VERSION="${VERSION}"')
@@ -84,7 +84,7 @@
     ADD_SUBDIRECTORY(drumstick)
 ELSE(STATIC_DRUMSTICK)
     SET(BUILD_SHARED_LIBS ON)
-    PKG_CHECK_MODULES(DRUMSTICK REQUIRED drumstick-alsa>=0.3)
+    PKG_CHECK_MODULES(DRUMSTICK REQUIRED drumstick-alsa>=0.5)
     IF(DRUMSTICK_FOUND)
        SET(DRUMSTICK_LIBS ${DRUMSTICK_LIBRARIES})
        #MESSAGE(STATUS "DRUMSTICK_LIBS: ${DRUMSTICK_LIBS}")
@@ -137,7 +137,7 @@
     COMMAND cp -r icons kmetronome-${VERSION}
     COMMAND cp -r po kmetronome-${VERSION}
     COMMAND cp -r src kmetronome-${VERSION}
-    COMMAND cp -rHL drumstick kmetronome-${VERSION}
+    #COMMAND cp -rHL drumstick kmetronome-${VERSION}
     COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.* net.sourceforge.kmetronome.* NEWS README TODO kmetronome-${VERSION}
     COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
     COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
