=== debian/changelog ===
kmetronome (0.10.1-2) unstable; urgency=medium

  * Team upload.
  * Remove uninstall target from CMakeLists.txt, fixing FTBFS. (Closes: #802081)
  * Use debhelper compat 9 to ensure build flags are passed correctly.
  * Fix helper-templates-in-copyright lintian error.
  * Use canonical Vcs URLs.
  * Remove menu file per tech-ctte decision.
  * Bump standards to 3.9.8.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Jul 2016 13:26:08 +0100

kmetronome (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Remove kubuntu_01_docbook_fix.diff, applied upstream.
  * Remove quilt series, no patches remaining.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jun 2012 12:27:33 +0200
