=== debian/control ===
Source: kmetronome
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Arnout Engelen <arnouten@bzzt.net>
Build-Depends:
 chrpath,
 cmake,
 debhelper (>= 9),
 kdelibs5-dev,
 libasound2-dev,
 libdrumstick-dev,
 pkg-config
Standards-Version: 3.9.8
Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kmetronome.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kmetronome.git

Package: kmetronome
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA MIDI Metronome
 KMetronome is a MIDI based metronome using the ALSA sequencer.
 .
 The intended audience are musicians and music students. Like the solid, real
 metronomes it is a tool to keep the rhythm while playing musical instruments.
 .
 It uses MIDI for sound generation instead of digital audio, allowing low CPU
 usage and very accurate timing thanks to the ALSA sequencer
