=== debian/watch ===
# watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

# find new files on sourceforge, for devscripts >= 2.9
http://sf.net/kmetronome/kmetronome-(.*)\.tar\.gz
