=== debian/changelog ===
kmetronome (1.0.0-2) experimental; urgency=medium

  * Team upload.

  [ Sebastian Ramacher ]

  [ Ross Gammon ]
  * desktop.patch applied upstream
  * Add missing copyright attribution

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * d/watch: Use https protocol

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - B-D on qttools5-dev. (Closes: #883834)
  * debian/: Bump debelper compat to 11.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Dec 2018 13:23:33 +0100

kmetronome (1.0.0-1) experimental; urgency=medium

  * New upstream release
  * Add myself to uploaders
  * Switch to QT5 & latest libdrumstick dependencies
  * Redo debian/copyright file in machine readable format
  * Drop remove-uninstall-target.patch, now builds without it
  * Patch desktop file to add keywords & drop encoding entries
  * Enable all hardening options

 -- Ross Gammon <rosco2@ubuntu.com>  Fri, 02 Sep 2016 22:31:14 +0200
