=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: kmetronome
 Section: sound
-Priority: extra
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Arnout Engelen <arnouten@bzzt.net>
+ Arnout Engelen <arnouten@bzzt.net>,
+ Ross Gammon <rosco2@ubuntu.com>
 Build-Depends:
  chrpath,
  cmake,
- debhelper (>= 9),
- kdelibs5-dev,
+ debhelper (>= 11),
+ qtbase5-dev,
+ libqt5svg5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
  libasound2-dev,
- libdrumstick-dev,
+ libdrumstick-dev (>= 1.0.2),
  pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kmetronome.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kmetronome.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
 
 Package: kmetronome
 Architecture: any
