## kmetronome 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,16 +16,18 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.1)
 
 project(kmetronome)
 
 set(CMAKE_USE_RELATIVE_PATHS OFF)
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED Yes)
 
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "0")
-set(VERSION_PATCH "0")
+set(VERSION_PATCH "1")
 set(VERSION_SUFFIX "")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
 add_definitions(-DVERSION=${VERSION})
@@ -96,9 +98,9 @@
     COMMAND cp -r icons kmetronome-${VERSION}
     COMMAND cp -r translations kmetronome-${VERSION}
     COMMAND cp -r src kmetronome-${VERSION}
-    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.* net.sourceforge.kmetronome.* NEWS README TODO kmetronome-${VERSION}
-    COMMAND tar -cj --exclude .svn --exclude *.old --exclude *~ --exclude *.user -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
-    COMMAND tar -cz --exclude .svn --exclude *.old --exclude *~ --exclude *.user -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
+    COMMAND cp AUTHORS ChangeLog CMakeLists.txt configure.* COPYING INSTALL kmetronome.{desktop,lsm,pro,spec,spec.in} net.sourceforge.kmetronome.service.in NEWS README TODO kmetronome-${VERSION}
+    COMMAND tar -cj -f kmetronome-${VERSION}.tar.bz2 kmetronome-${VERSION}
+    COMMAND tar -cz -f kmetronome-${VERSION}.tar.gz kmetronome-${VERSION}
     COMMAND rm -rf kmetronome-${VERSION}
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
 )
