=== data/CMakeLists.txt ===
INSTALL( FILES drums.ins samples.pat
         DESTINATION share/kmetronome )
