=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # KMetronome - ALSA Sequencer based MIDI metronome
-# Copyright (C) 2005-2012 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2005-2014 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,6 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA 02110-1301, USA
 
-kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmetronome )
-
-kde4_create_manpage( man-kmetronome.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
+install(FILES kmetronome.1 
+	DESTINATION share/man/man1)
+install(FILES kmetronome.html kmetronome_1.png kmetronome_2.png kmetronome_3.png
+	DESTINATION share/kmetronome)
