=== debian/changelog ===
kmetronome (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Bump Standards-Version to 4.4.1

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/patches: Remove, no longer needed
  * debian/rules: Remove unnecessary override

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Nov 2019 16:48:26 +0100

kmetronome (1.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * Upload to unstable.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 22 Aug 2019 18:25:17 +0200
