=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  chrpath,
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  qtbase5-dev,
  libqt5svg5-dev,
  qttools5-dev,
@@ -17,7 +17,7 @@
  libasound2-dev,
  libdrumstick-dev (>= 1.0.2),
  pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
