=== icons/CMakeLists.txt ===
install (FILES kmetronome_16x16.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
         RENAME kmetronome.png)

install (FILES kmetronome_24x24.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/24x24/apps
         RENAME kmetronome.png)

install (FILES kmetronome_32x32.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
         RENAME kmetronome.png)

install (FILES kmetronome_48x48.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps
         RENAME kmetronome.png)

install (FILES kmetronome_64x64.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
         RENAME kmetronome.png)

install (FILES kmetronome_128x128.png
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
         RENAME kmetronome.png)

install (FILES kmetronome.svgz
         DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps )
