=== debian/changelog ===
kmetronome (1.2.0-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Oct 2021 00:02:42 -0400

kmetronome (1.2.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Sep 2021 22:16:51 +0200

kmetronome (1.2.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

  [ Dennis Braun ]
  * New upstream version 1.2.0
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump libdrumstick-dev B-D to version 2.0.0
  * Bump S-V to 4.5.1
  * Use https protocol for homepage
  * Set RRR: no
  * Remove comments from watch file and bump to version 4
  * d/copyright: Use https protocol for source url
  * Update d/copyright year
  * d/copyright: Remove obsolete entry of cmake_admin/FindPCHSupport.cmake
  * Add Bug-Database, Bug-Submit & Repository-Browse fields to
    d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 08 Jan 2021 00:07:47 +0100
