=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: kmetronome
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Arnout Engelen <arnouten@bzzt.net>,
- Ross Gammon <rosco2@ubuntu.com>
+ Ross Gammon <rosco2@ubuntu.com>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  chrpath,
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  qtbase5-dev,
  libqt5svg5-dev,
  qttools5-dev,
  qttools5-dev-tools,
  libasound2-dev,
- libdrumstick-dev (>= 1.0.2),
+ libdrumstick-dev (>= 2.0.0-1~),
  pkg-config
-Standards-Version: 4.4.1
-Homepage: http://kmetronome.sourceforge.net/kmetronome.shtml
+Standards-Version: 4.5.1
+Homepage: https://kmetronome.sourceforge.io/kmetronome.shtml
 Vcs-Git: https://salsa.debian.org/multimedia-team/kmetronome.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kmetronome
+Rules-Requires-Root: no
 
 Package: kmetronome
 Architecture: any
